"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var models_1 = require("./models");
var format_1 = require("./format");
var ConsoleLogger = /** @class */ (function () {
    function ConsoleLogger(_logLevel, options) {
        if (_logLevel === void 0) { _logLevel = models_1.LogLevel.warn; }
        if (options === void 0) { options = {}; }
        this._logLevel = _logLevel;
        this.options = options;
        this.settings = {
            level: _logLevel,
            format: options.format ? options.format : null,
            useColors: typeof options.useColors === 'boolean' ? options.useColors : true
        };
    }
    ConsoleLogger.prototype.debug = function (v) {
        if (this._logLevel <= models_1.LogLevel.debug) {
            var data = format_1.format(this.settings, models_1.LogLevel.debug, v);
            console.log(data);
        }
    };
    ConsoleLogger.prototype.info = function (v) {
        if (this._logLevel <= models_1.LogLevel.info) {
            var data = format_1.format(this.settings, models_1.LogLevel.info, v);
            console.log(data);
        }
    };
    ConsoleLogger.prototype.ok = function (v) {
        if (this._logLevel <= models_1.LogLevel.ok) {
            var data = format_1.format(this.settings, models_1.LogLevel.ok, v);
            console.log(data);
        }
    };
    ConsoleLogger.prototype.warn = function (v) {
        if (this._logLevel <= models_1.LogLevel.warn) {
            var data = format_1.format(this.settings, models_1.LogLevel.warn, v);
            console.log(data);
        }
    };
    ConsoleLogger.prototype.error = function (v) {
        if (this._logLevel <= models_1.LogLevel.error) {
            var data = format_1.format(this.settings, models_1.LogLevel.error, v);
            console.log(data);
        }
    };
    ConsoleLogger.prototype.panic = function (v) {
        if (this._logLevel <= models_1.LogLevel.panic) {
            var data = format_1.format(this.settings, models_1.LogLevel.panic, v);
            console.log(data);
        }
    };
    return ConsoleLogger;
}());
exports.ConsoleLogger = ConsoleLogger;
